# Generated by Django 5.0.5 on 2024-06-21 15:47

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('rsform', '0007_location_and_flags'),
    ]

    operations = [
        migrations.CreateModel(
            name='InputNode',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vertical_coordinate', models.IntegerField(verbose_name='Вертикальная координата звена')),
                ('horizontal_coordinate', models.IntegerField(verbose_name='Горизонтальная координата звена')),
                ('rsform_id', models.IntegerField(null=True, verbose_name='Схема')),
            ],
        ),
        migrations.CreateModel(
            name='SynthesisGraph',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('Draft', 'Draft'), ('Completed', 'Completed'), ('Warning', 'Warning'), ('Failed', 'Failed')], max_length=20, verbose_name='Статус операции слияния')),
            ],
        ),
        migrations.CreateModel(
            name='OperationNode',
            fields=[
                ('inputnode_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='rsform.inputnode')),
                ('name', models.CharField(max_length=20, verbose_name='Название')),
                ('status', models.CharField(choices=[('Draft', 'Draft'), ('Completed', 'Completed'), ('Warning', 'Warning'), ('Failed', 'Failed')], max_length=20, verbose_name='Статус операции слияния')),
                ('left_parent', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='rsform_library_item_left', to='rsform.libraryitem', verbose_name='Левый предок')),
                ('right_parent', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='rsform_library_item_right', to='rsform.libraryitem', verbose_name='Правый предок')),
            ],
            bases=('rsform.inputnode',),
        ),
        migrations.CreateModel(
            name='SynthesisEdge',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('decoded_id', models.CharField(max_length=30, verbose_name='Id ребра на фронте')),
                ('source_handle', models.CharField(max_length=30, verbose_name='')),
                ('node_from', models.IntegerField(verbose_name='Звено-предок')),
                ('node_to', models.IntegerField(verbose_name='Звено-наследник')),
                ('graph_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rsform.synthesisgraph', verbose_name='Схема синтеза')),
            ],
        ),
        migrations.AddField(
            model_name='inputnode',
            name='graph_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rsform.synthesisgraph', verbose_name='Схема синтеза'),
        ),
        migrations.CreateModel(
            name='SynthesisSubstitution',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleteRight', models.BooleanField(verbose_name='Удалить правую')),
                ('takeLeftTerm', models.BooleanField(verbose_name='Использовать термин левой')),
                ('graph_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rsform.synthesisgraph', verbose_name='Схема синтеза')),
                ('leftCst', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='constituenta_original', to='rsform.constituenta', verbose_name='Конституента')),
                ('rightCst', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='constituenta_substitution', to='rsform.constituenta', verbose_name='Подстановка')),
                ('operation_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rsform.operationnode', verbose_name='Операция синтеза')),
            ],
        ),
    ]
